version: 1
disable_existing_loggers: true
formatters:
  simple:
    format: '%(asctime)s - %(name)s - %(levelname)s - %(message)s'
handlers:
  console:
    class: logging.StreamHandler
    level: INFO
    formatter: simple
    stream: ext://sys.stdout
  file:
    class: reconcile_arcgis_db.logging.setup_logging.RotatingFileHandler
    level: INFO
    formatter: simple
    filename: ./tests/tmp/logs/reconcile-arcgis-db.log
    maxBytes: 10485760 # 10MB
    backupCount: 20
    encoding: utf8
root:
  level: INFO
  handlers: [console,file]
